Bug 73114 - Fails to load mp3 file. Pressing play opens file dialog.
Fails to load mp3 file. Pressing play opens file dialog.
Product: Red Hat Public Beta
Classification: Retired
Component: xmms (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: 73265 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-08-30 17:20 EDT by Need Real Name
Modified: 2014-03-16 22:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-30 17:20:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-30 17:20:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
xmms xmms-1.2.7-12.p refuses to load an mp3 file for playback. When you think 
you have selected a file, pressing play opens the file dialog again.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Load redhat null from ISOs in a workstation configuration
2.Update everthing from RHN using up2date as of 9/29/2002
3.Start xmms, refuses to load file.

Actual Results:  Refuses to accept files selected via the dialog box. Double 
clicking on a mp3 file in Nautilus doesn't work either.

Expected Results:  Track title should apprear in xmms window.

Additional info:

Reverted to xmms from null ISO (1.2.7-10). This one works. I can play MP3 files 
under Gnome from a fully updated Null installation, but only with the slightly 
older xmms.
Comment 1 Bill Nottingham 2002-08-30 17:22:40 EDT
Intentional, mp3 support has been removed due to patent issues and conflicts
between patent licenses and the licenses of the decoder code.
Comment 2 Need Real Name 2002-08-30 21:21:37 EDT
If this is intentional, any chance we can have a notification rather than just 
silent failure?
Comment 3 Peter van Egdom 2002-09-01 05:07:01 EDT
More about MP3 licensing can be found at the following site :


Comment 4 Bill Nottingham 2002-09-02 00:32:19 EDT
*** Bug 73265 has been marked as a duplicate of this bug. ***
Comment 5 Tobias Ringstrom 2002-09-10 14:22:01 EDT
According to www.xmms.org, the Thomson Multimedia license has *not* changed. Do
you still think it's a problem?

I see that you are still supplying the mpg123 package. Will that package be
removed as well?

Note You need to log in before you can comment on or make changes to this bug.